function LineCodes = import_impedance(filename, dataLines)
%IMPORTFILE Import data from a text file
%  LINECODES = IMPORTFILE(FILENAME) reads data from text file FILENAME
%  for the default selection.  Returns the numeric data.
%
%  LINECODES = IMPORTFILE(FILE, DATALINES) reads data for the specified
%  row interval(s) of text file FILENAME. Specify DATALINES as a
%  positive scalar integer or a N-by-2 array of positive scalar integers
%  for dis-contiguous row intervals.
%
%  Example:
%  LineCodes = import_impedance("/home/lglroman/Dropbox/SATIE/PSCC2024/codes/opf/PSO/ELVTF/European_LV_CSV/LineCodes.csv", [3, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 28-Jul-2023 13:35:32

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 9);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["Var1", "Var2", "VarName3", "VarName4", "Var5", "Var6", "Var7", "Var8", "Var9"];
opts.SelectedVariableNames = ["VarName3", "VarName4"];
opts.VariableTypes = ["string", "string", "double", "double", "string", "string", "string", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var2", "Var5", "Var6", "Var7", "Var8", "Var9"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var2", "Var5", "Var6", "Var7", "Var8", "Var9"], "EmptyFieldRule", "auto");

% Import the data
LineCodes = readtable(filename, opts);

%% Convert to output type
LineCodes = table2array(LineCodes);
end